#include <unistd.h>

///////////////////////////////////////////////
#define RTA_CONDI_BYPASS				0x00
#define RTA_CONDI_AND_MASK				0x40
#define RTA_CONDI_AND_EQUEL				0x80
#define RTA_CONDI_EQUEL					0xC0
///////////////////////////////////////////////
#define RTA_OPCODE_CONDI_ASSIGN			0x80
#define RTA_OPCODE_CONDI_MORE			0x81
#define RTA_OPCODE_CONDI_MOREEQUAL		0x82
#define RTA_OPCODE_CONDI_LESS			0x83
#define RTA_OPCODE_CONDI_LESSEQUAL		0x84
#define RTA_OPCODE_CONDI_EQUAL			0x85
#define RTA_OPCODE_JUMP_ABS				0x8A
#define RTA_OPCODE_JUMP_REL				0x8B
#define RTA_OPCODE_BREAK				0x8C
#define RTA_OPCODE_IF					0x40
#define RTA_OPCODE_IF_NOT				0x50
#define RTA_OPCODE_IF_ELSE				0x60
#define RTA_OPCODE_ASSIGN				0x00
#define RTA_OPCODE_LSHIFT				0x01
#define RTA_OPCODE_LS_OR				0x02
#define RTA_OPCODE_LS_NOT_OR			0x03
#define RTA_OPCODE_LS_AND				0x04
#define RTA_OPCODE_LS_NOT_AND			0x05
#define RTA_OPCODE_ADD					0x0F
#define RTA_OPCODE_SUB					0x0E
#define RTA_OPCODE_MUL					0x0D
#define RTA_OPCODE_DIV					0x0C
///////////////////////////////////////////////
#define RTA_DATA_SRC_TXPDO				0x4000
#define RTA_DATA_SRC_RXPDO				0x8000
#define RTA_DATA_SRC_BUF				0xC000
#define RTA_DATA_SRC_GPIO				0x0400
#define RTA_DATA_SRC_ENC				0x0800
#define RTA_DATA_SRC_DIRVALUE			0x0C00
#define RTA_DATA_SIZE1					0x0000
#define RTA_DATA_SIZE2					0x1000
#define RTA_DATA_SIZE4					0x3000
///////////////////////////////////////////////
int ECM_RTA_ENC_COMPARE(int32_t n32Axis, int32_t nML, int32_t nPL, int32_t nShift, uint32_t u32EioPdoOffset);
